Ticket #31495

Vote
Score: 0
No votes
0.0% (0/0)
0.0% (0/0)

OpenSSH 6.2のEtM MAC対応

Open Date: 2013-06-03 16:11 Last Update: 2017-11-30 07:36

Reporter: doda Owner: doda
Type: Feature Requests Status: Closed
Component: TTSSH MileStone: Tera Term 4.97 (closed)
Priority: 7 Severity: 5 - Medium
Resolution: Fixed

Details

OpenSSH 6.2でサポートされた、Encrypt then MAC (EtM) な MAC への対応。

OpenSSH 6.2では、Encrypt then MAC の方がより安全であると思われるとして、通常sshで使われるEncrypt and MACより優先度を高くしている。


サポート対象は以下の MAC 方式。

  • hmac-sha2-256-etm@openssh.com
  • hmac-sha2-512-etm@openssh.com
  • hmac-sha1-etm@openssh.com
  • hmac-md5-etm@openssh.com (*1)
  • hmac-ripemd160-etm@openssh.com (*1, *2)
  • hmac-sha1-96-etm@openssh.com (*1, *3)
  • hmac-md5-96-etm@openssh.com (*1, *3)

検討事項:

  • *1 の方式は現在のOpenSSHではデフォルトでは使わないようになっているが、サポートする価値はある? (サーバ: 6.7以降, クライアント:7.2以降)
  • *2 の ripemd160 は OpenSSH 7.6 ではサポートがはずされて使えなくなった。OpenSSH 7.5 以前なら(設定すれば)使えるが、サポートする価値はある?
  • *3 の 96bit truncate な MAC は優先度を NONE より下にしてデフォルトでは使わないようにした。今時 96bit truncate な MAC をサポートする価値ある?
  • OpenSSH では EtM な MAC を優先するようになっており、ttssh もそれに習って順番を決めた。 しかしアップグレードインストールでは末尾に追加される為、優先度が低くなる。 アップグレー時にも優先度を高くする方法はないか?

Attachment File List

No attachments

Ticket History (3/5 Histories)

2013-06-03 16:11 Updated by: doda
  • New Ticket "OpenSSH 6.2のEtMモード対応" created
2017-11-02 10:18 Updated by: doda
  • Milestone Update from (None) to Tera Term 4.97 (closed)
  • Owner Update from (None) to doda
  • Resolution Update from None to Accepted
  • Priority Update from 5 - Medium to 7
2017-11-02 19:30 Updated by: doda
  • Details Updated
  • Summary Updated
2017-11-02 20:46 Updated by: doda
  • Resolution Update from Accepted to Fixed
  • Details Updated
Comment

r6969 で対応。

2017-11-30 07:36 Updated by: maya
  • Status Update from Open to Closed
  • Details Updated

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login